### Method

# Phosh LayerSurface get_wl_surface

#### Declaration [src]

    wl_surface*
    phosh_layer_surface_get_wl_surface (
      PhoshLayerSurface* self
    )

#### Description [src]

Get the layer wayland surface or `NULL` if the window is not yet realized.

#### Return value

Type: `wl_surface*`

No description available.

The returned data is owned by the instance.
The return value can be `NULL`.